############################################################################
######################       Minions           #############################
############################################################################

#This is in ticks (20 ticks / second)
Action-Speed: 20


Fuel:
  Coal:
    Energy: 1.0
    Item:
      Material: COAL
      Durability: 0


##########  Placeholders #############
#             %level%
#             %energy%
#             %owner%
#             %blocklimit%
#             %radius%
#             %chanceperblockpersecond%

Miner:
  Name: "Miner Minion"
  Item:
    Material: SKULL_ITEM
    Durability: 3
    Skull: eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMWYzMTljZTYzNTVlMmI2M2NmZTExY2RlYmVmODU3MjAyMTFmYzAxODQ0YTdlMDRlZjU5ODc5NTIyMTI0ZGUifX19
    DisplayName: "&6Miner Minion"
    Lore:
      - ""
      - "&7Level: %level%"
      - "&7Energy: %energy%"
      - "&7Owner: %owner%"
  Equipment:
    Skull: eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMWYzMTljZTYzNTVlMmI2M2NmZTExY2RlYmVmODU3MjAyMTFmYzAxODQ0YTdlMDRlZjU5ODc5NTIyMTI0ZGUifX19
    Chestplate:
      Material: LEATHER_CHESTPLATE
      Durability: 0
      Color:
        Red: 255
        Green: 255
        Blue: 255
    Leggings:
      Material: LEATHER_LEGGINGS
      Durability: 0
      Color:
        Red: 255
        Green: 255
        Blue: 255
    Boots:
      Material: LEATHER_BOOTS
      Durability: 0
      Color:
        Red: 255
        Green: 255
        Blue: 255
    RightHand:
      Material: DIAMOND_PICKAXE
      Durability: 0
  Levels:
    '1':
      Price: 0.0
      EnergyPerAction: 0.5
      BlockLimit: 1
    '2':
      Price: 1000.0
      EnergyPerAction: 0.3
      BlockLimit: 3

Farmer:
  Name: "Farmer Minion"
  Item:
    Material: SKULL_ITEM
    Durability: 3
    Skull: eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvOWY1ZDM4MTlhNjVkYjc5YzQ1ZmQwMDE0MWMwODgyZTQ3YWQyMzRjMGU1Zjg5OTJiZjRhZjE4Y2VkMGUxZWNkYyJ9fX0=
    DisplayName: "&6Farmer Minion"
    Lore:
      - ""
      - "&7Level: %level%"
      - "&7Energy: %energy%"
      - "&7Owner: %owner%"
  Equipment:
    Skull: eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvOWY1ZDM4MTlhNjVkYjc5YzQ1ZmQwMDE0MWMwODgyZTQ3YWQyMzRjMGU1Zjg5OTJiZjRhZjE4Y2VkMGUxZWNkYyJ9fX0=
    Chestplate:
      Material: LEATHER_CHESTPLATE
      Durability: 0
      Color:
        Red: 0
        Green: 0
        Blue: 255
    Leggings:
      Material: LEATHER_LEGGINGS
      Durability: 0
      Color:
        Red: 0
        Green: 0
        Blue: 255
    Boots:
      Material: LEATHER_BOOTS
      Durability: 0
      Color:
        Red: 0
        Green: 0
        Blue: 255
    RightHand:
      Material: DIAMOND_HOE
      Durability: 0
  Levels:
    '1':
      Price: 0.0
      EnergyPerAction: 0.5
      Radius: 3
    '2':
      Price: 1000.0
      EnergyPerAction: 0.3
      Radius: 5

Fisher:
  Name: "Fisher Minion"
  Item:
    Material: SKULL_ITEM
    Durability: 3
    Skull: eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNjhjOTg2Nzk5YmFmZTcxODRhOGFlMjMzZGI2ZDlhYjhlOWI4NDRmYTlkNGRhNjhmYTNkYzk0YWM4ZmU4MjAifX19
    DisplayName: "&6Fisher Minion"
    Lore:
      - ""
      - "&7Level: %level%"
      - "&7Energy: %energy%"
      - "&7Owner: %owner%"
  Equipment:
    Skull: eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNjhjOTg2Nzk5YmFmZTcxODRhOGFlMjMzZGI2ZDlhYjhlOWI4NDRmYTlkNGRhNjhmYTNkYzk0YWM4ZmU4MjAifX19
    Chestplate:
      Material: LEATHER_CHESTPLATE
      Durability: 0
      Color:
        Red: 255
        Green: 0
        Blue: 0
    Leggings:
      Material: LEATHER_LEGGINGS
      Durability: 0
      Color:
        Red: 255
        Green: 0
        Blue: 0
    Boots:
      Material: LEATHER_BOOTS
      Durability: 0
      Color:
        Red: 255
        Green: 0
        Blue: 0
    RightHand:
      Material: FISHING_ROD
      Durability: 0
  Levels:
    '1':
      Price: 0.0
      EnergyPerAction: 0.5
      Radius: 3
      ChancePerBlockPerSecond: 20.0
    '2':
      Price: 1000.0
      EnergyPerAction: 0.3
      Radius: 5
      ChancePerBlockPerSecond: 50.0

Seller:
  Name: "Seller Minion"
  Item:
    Material: SKULL_ITEM
    Durability: 3
    Skull: eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvN2EwN2EyODg5ZjJiOGJiZmNjYWIyNjI2YTUxMmI0ZjA0OTAwOGQ2ZDFjY2ZhYmNmYzI0ZTQ4ZjNmNjIyNDM1MSJ9fX0=
    DisplayName: "&6Seller Minion"
    Lore:
      - ""
      - "&7Level: %level%"
      - "&7Energy: %energy%"
      - "&7Owner: %owner%"
  Equipment:
    Skull: eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvN2EwN2EyODg5ZjJiOGJiZmNjYWIyNjI2YTUxMmI0ZjA0OTAwOGQ2ZDFjY2ZhYmNmYzI0ZTQ4ZjNmNjIyNDM1MSJ9fX0=
    Chestplate:
      Material: LEATHER_CHESTPLATE
      Durability: 0
      Color:
        Red: 255
        Green: 255
        Blue: 255
    Leggings:
      Material: LEATHER_LEGGINGS
      Durability: 0
      Color:
        Red: 255
        Green: 255
        Blue: 255
    Boots:
      Material: LEATHER_BOOTS
      Durability: 0
      Color:
        Red: 255
        Green: 255
        Blue: 255
    RightHand:
      Material: BOOK
      Durability: 0
  Levels:
    '1':
      Price: 0.0
      EnergyPerAction: 0.5
      Radius: 3
    '2':
      Price: 1000.0
      EnergyPerAction: 0.3
      Radius: 5

Butcher:
  Name: "Butcher Minion"
  Item:
    Material: SKULL_ITEM
    Durability: 3
    Skull: eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvZWNkN2E5ODMxYTcwOTBmOWQ2ZGRhMzVhYmQ2YmZmYmJiZDM0YTZkM2Q5N2VmMTFkOGE2YjFhOTQ2Y2MyNmY1ZiJ9fX0====
    DisplayName: "&6Butcher Minion"
    Lore:
      - ""
      - "&7Level: %level%"
      - "&7Energy: %energy%"
      - "&7Owner: %owner%"
  Equipment:
    Skull: eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvZWNkN2E5ODMxYTcwOTBmOWQ2ZGRhMzVhYmQ2YmZmYmJiZDM0YTZkM2Q5N2VmMTFkOGE2YjFhOTQ2Y2MyNmY1ZiJ9fX0====
    Chestplate:
      Material: LEATHER_CHESTPLATE
      Durability: 0
      Color:
        Red: 255
        Green: 0
        Blue: 0
    Leggings:
      Material: LEATHER_LEGGINGS
      Durability: 0
      Color:
        Red: 255
        Green: 0
        Blue: 0
    Boots:
      Material: LEATHER_BOOTS
      Durability: 0
      Color:
        Red: 255
        Green: 0
        Blue: 0
    RightHand:
      Material: DIAMOND_SWORD
      Durability: 0
  Levels:
    '1':
      Price: 0.0
      EnergyPerAction: 0.5
      Radius: 3
    '2':
      Price: 1000.0
      EnergyPerAction: 0.3
      Radius: 5

Collector:
  Name: "Collector Minion"
  Item:
    Material: SKULL_ITEM
    Durability: 3
    Skull: eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNjhkYTE0NjI1NzU0Nzc5NWMzYTk1NGRiNzgxZTBkMGM0ZDBhZjAyN2YwZDE1MWQzOWE0OWUxYmJkMjFjZmM4OCJ9fX0===
    DisplayName: "&6Collector Minion"
    Lore:
      - ""
      - "&7Level: %level%"
      - "&7Energy: %energy%"
      - "&7Owner: %owner%"
  Equipment:
    Skull: eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNjhkYTE0NjI1NzU0Nzc5NWMzYTk1NGRiNzgxZTBkMGM0ZDBhZjAyN2YwZDE1MWQzOWE0OWUxYmJkMjFjZmM4OCJ9fX0===
    Chestplate:
      Material: LEATHER_CHESTPLATE
      Durability: 0
      Color:
        Red: 0
        Green: 255
        Blue: 0
    Leggings:
      Material: LEATHER_LEGGINGS
      Durability: 0
      Color:
        Red: 0
        Green: 255
        Blue: 0
    Boots:
      Material: LEATHER_BOOTS
      Durability: 0
      Color:
        Red: 0
        Green: 255
        Blue: 0
    RightHand:
      Material: DIAMOND_SWORD
      Durability: 0
  Levels:
    '1':
      Price: 0.0
      EnergyPerAction: 0.5
      Radius: 3
    '2':
      Price: 1000.0
      EnergyPerAction: 0.3
      Radius: 5

Breeder:
  Name: "Breeder Minion"
  Item:
    Material: SKULL_ITEM
    Durability: 3
    Skull: eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNmNiYzEzNmY1YWRjZmJiYTdlMjVmMzE4MjE3Y2VkMzFhNTI0YzVjMjE4NWJmNWE2ZjNlYmE3YmViNWQ4YTcwNiJ9fX0====
    DisplayName: "&6Breeder Minion"
    Lore:
      - ""
      - "&7Level: %level%"
      - "&7Energy: %energy%"
      - "&7Owner: %owner%"
  Equipment:
    Skull: eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNmNiYzEzNmY1YWRjZmJiYTdlMjVmMzE4MjE3Y2VkMzFhNTI0YzVjMjE4NWJmNWE2ZjNlYmE3YmViNWQ4YTcwNiJ9fX0====
    Chestplate:
      Material: LEATHER_CHESTPLATE
      Durability: 0
      Color:
        Red: 0
        Green: 255
        Blue: 255
    Leggings:
      Material: LEATHER_LEGGINGS
      Durability: 0
      Color:
        Red: 0
        Green: 255
        Blue: 255
    Boots:
      Material: LEATHER_BOOTS
      Durability: 0
      Color:
        Red: 0
        Green: 255
        Blue: 255
    RightHand:
      Material: WHEAT
      Durability: 0
  Levels:
    '1':
      Price: 0.0
      EnergyPerAction: 0.5
      Radius: 3
    '2':
      Price: 1000.0
      EnergyPerAction: 0.3
      Radius: 5